=== CauchyTest/CMakeLists.txt ===
add_subdirectory(tests)

## CauchyTest library ##

set(CauchyTest_SRCS
  Suite.cpp
  Case.cpp
  Result.cpp )

add_library(CauchyTest SHARED ${CauchyTest_SRCS} )
target_link_libraries(CauchyTest )

# Set the ABI version of the library
set_target_properties(CauchyTest PROPERTIES VERSION ${CAUCHY_LIB_VERSION} SOVERSION ${CAUCHY_LIB_SOVERSION} )
