=== tools/CMakeLists.txt ===
add_subdirectory(cauchymc)
add_subdirectory(cauchymake)
add_subdirectory(cauchydeclgen)
add_subdirectory(m2mml)
