=== Runtime/Cauchy/CMakeLists.txt ===

include (TestBigEndian)
test_big_endian(CMAKE_WORDS_BIGENDIAN)
configure_file(Config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/Config.h )

install( FILES
  ${CMAKE_CURRENT_BINARY_DIR}/Config.h
  Eigen3.cfd
  Eigen3.h
  Standard.cfd
  Octave.cfd
  xUnit.cfd
  DESTINATION ${INCLUDE_INSTALL_DIR}/Cauchy/ )

add_subdirectory(Eigen3)
add_subdirectory(xUnit)
