=== tools/cauchydeclgen/CMakeLists.txt ===
include_directories( ${CMAKE_SOURCE_DIR} )

set(cauchydeclgen_SRCS
  cauchydeclgen.cpp
    )

add_executable(cauchydeclgen ${cauchydeclgen_SRCS})
target_link_libraries(cauchydeclgen Cauchy )
install( TARGETS cauchydeclgen ${INSTALL_TARGETS_DEFAULT_ARGS} )
