=== tools/m2mml/CMakeLists.txt ===

add_library(m2mml SHARED m2mml.cpp )
target_link_libraries(m2mml Cauchy)
set_target_properties(m2mml PROPERTIES VERSION ${CAUCHY_LIB_VERSION} SOVERSION ${CAUCHY_LIB_SOVERSION} )

install(TARGETS m2mml ${INSTALL_TARGETS_DEFAULT_ARGS} )
install(FILES m2mml.h DESTINATION ${INCLUDE_INSTALL_DIR})

if(CAUCHY_BUILD_TESTS)
  add_executable(Testm2mmlTest m2mmlTest.cpp)
  target_link_libraries(Testm2mmlTest m2mml CauchyTest )
  add_test(Testm2mmlTest Testm2mmlTest)
endif()
