=== Runtime/Cauchy/Eigen3/CMakeLists.txt ===
if(CAUCHY_BUILD_TESTS)
  add_subdirectory(tests)
endif()

install( FILES
  Complex.h
  ComplexOperators.h
  Cond.h
  Display.h
  Eig.h
  FEval.h
  FFT.h
  Infinity.h
  Inv.h
  LU.h
  Math.h
  Matrix.h
  MatrixIterator.h
  MatrixOperators.h
  Norm.h
  NumberTypes.h
  Octave.h
  Quad.h
  Range.h
  RangeIterator.h
  Sort.h
  SVD.h
  System.h
  Time.h
  Unknown.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/Cauchy/Eigen3 )
