=== Runtime/Cauchy/xUnit/CMakeLists.txt ===
set( CauchyXUnit_SRCS
  Asserts.cpp
  Reporter.cpp
)

add_library(CauchyXUnit SHARED ${CauchyXUnit_SRCS} )
set_target_properties(CauchyXUnit PROPERTIES VERSION ${CAUCHY_LIB_VERSION} SOVERSION ${CAUCHY_LIB_SOVERSION} )

install(TARGETS CauchyXUnit ${INSTALL_TARGETS_DEFAULT_ARGS} )
