=== debian/changelog ===
cauchy (0.9.0-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 12 May 2021 11:04:32 -0400

cauchy (0.9.0-0ubuntu4) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:11:03 +0100

cauchy (0.9.0-0ubuntu3) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:16:18 +0000

cauchy (0.9.0-0ubuntu2) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 08 Aug 2015 05:58:09 +0000

cauchy (0.9.0-0ubuntu1) trusty; urgency=low

  * Initial release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 26 Nov 2013 19:40:57 +0000
