=== debian/control ===
Source: cauchy
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>, Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: debhelper (>= 9.0.0), cmake, libeigen3-dev
Standards-Version: 3.9.4
Section: libs
Homepage: https://bitbucket.org/cyrille/cauchy

Package: cauchy-dev
Section: libdevel
Architecture: any
Depends: libcauchy0.0v5 (= ${binary:Version}), libcauchyxunit0.0v5 (= ${binary:Version}), 
         libm2mml0.0v5 (= ${binary:Version}), ${misc:Depends}
Description: library for transforming Matlab/Octave files to C++
 library for transforming Matlab/Octave files to C++ (with Eigen) and
 Matlab.
 .
 Development files.

Package: libcauchy0.0v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libcauchy0.0
Replaces: libcauchy0.0
Description: library for transforming Matlab/Octave files to C++
 library for transforming Matlab/Octave files to C++ (with Eigen) and
 Matlab.

Package: libcauchyxunit0.0v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libcauchyxunit0.0
Replaces: libcauchyxunit0.0
Description: library for transforming Matlab/Octave files to C++
 library for transforming Matlab/Octave files to C++ (with Eigen) and
 Matlab.
 .
 Support library for the xUnit Test Framework

Package: libm2mml0.0v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libm2mml0.0
Replaces: libm2mml0.0
Description: library for transforming Matlab/Octave files to C++
 library for transforming Matlab/Octave files to C++ (with Eigen) and
 Matlab.
 .
 m2mml library.

Package: cauchy-tools
Section: math
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby
Description: library for transforming Matlab/Octave files to C++ - toold
 library for transforming Matlab/Octave files to C++ (with Eigen) and
 Matlab.
 .
 Tools that use Cauchy.
